import React, { useState, useEffect } from 'react';
import { csv } from 'd3';


const csvUrl = 'https://gist.githubusercontent.com/sophburke/e2a5a57fd931cb6174b2ba4494b24996/raw/809379bbbafbfbf7c6f4d79af65a887f2962fb58/hxmitx_pers-courseAY2013_viewer_location-test,csv'

export const useDataViews = () => {
  const [data, setData] = useState(null);
  console.log("Viewer Data: ", data);

  useEffect(() => {
    const row = d => {
      d.lng = +d.Lng;
      d.lat = +d.Lat;
      d.views = d.Views;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};